#pragma once
#define _WIN32_WINNT 0x0500
#include <windows.h>
#include <windowsx.h>
#define elemof(x) (sizeof(x)/sizeof(*(x)))
#define nobreak

#ifdef DLGSIZE_EXPORTS
#define FUNC(ret) EXTERN_C _declspec(dllexport) ret CALLBACK
#else
#define FUNC(ret) EXTERN_C _declspec(dllimport) ret WINAPI
#endif

FUNC(void) InitDLL(void);

enum{
 SFF_WINDOWMOVE_MASK	= 15<<4,
 SFF_FIXONSIZE_LEFT	= 0<<4,
 SFF_FIXONSIZE_CENTER	= 1<<4,
 SFF_FIXONSIZE_MOUSEX	= 2<<4,
 SFF_FIXONSIZE_RIGHT	= 3<<4,
 SFF_FIXONSIZE_TOP	= 0<<6,
 SFF_FIXONSIZE_MIDDLE	= 1<<6,
 SFF_FIXONSIZE_MOUSEY	= 2<<6,
 SFF_FIXONSIZE_BOTTOM	= 3<<6,
 SFF_FIXONSIZE_MOUSE	= SFF_FIXONSIZE_MOUSEX|SFF_FIXONSIZE_MOUSEY,
 SFF_SMALLER		= (BYTE)-1<<8,
 SFF_LARGER		= 1<<8,
 SFF_BOLD_BIT		= 16,	// HIWORD(lParam)
 SFF_ITALIC_BIT		= 18,
 SFF_SERIF_BIT		= 20,
 SFF_MONO_BIT		= 22,
 SFF_RESET		= 1,
 SFF_SET		= 2,
 SFF_TOGGLE		= 3,
 SFF_FONTCHANGE_MASK	= 0xFFFF00,
};
